using System.CommandLine;
using MycroForge.Core.Contract;

namespace MycroForge.CLI.Commands;

public partial class MycroForge
{
    public partial class Db : Command, ISubCommandOf<MycroForge>
    {
        public Db(IEnumerable<ISubCommandOf<Db>> commands)
            : base("db", "Database related commands")
        {
            foreach (var command in commands.Cast<Command>())
                AddCommand(command);
        }
    }
}